# Class default

A simple object that can be managed by `ngeo.misc.ToolActivateMgr`.

See our live examples: ../examples/mapquery.html ../examples/toolActivate.html

#### Param: toolContext

An object which acts as the context for the tool.

#### Param: activePropertyName

The name of a boolean property on `toolContext` which represents the active state of the tool.

#### Ngname

ngeoToolActivate

- Defined in src/misc/ToolActivate.js:35

#####
Index

### Constructors

constructor

### Properties

getActive
setActive

##
Constructors

### constructor

- new default(toolContext, activePropertyName): default

- A simple object that can be managed by `ngeo.misc.ToolActivateMgr`.

  See our live examples: ../examples/mapquery.html ../examples/toolActivate.html

  #### Parameters

  - toolContext: unknown

    An object which acts as the context for the tool.

  - activePropertyName: string

    The name of a boolean property on `toolContext` which represents the active state of the tool.

  #### Returns default

  #### Ngname

  ngeoToolActivate

  - Defined in src/misc/ToolActivate.js:35

##
Properties

### getActive

getActive: (() => boolean)

A getter function to get the active state of the tool.

#### Type declaration

- - (): boolean

  - #### Returns boolean

    Is active.

- Defined in src/misc/ToolActivate.js:41

### setActive

setActive: ((newVal: boolean) => void)

A setter function to set the active state of the tool.

#### Type declaration

- - (newVal): void

  - #### Parameters

    - newVal: boolean

      New active state.

    #### Returns void

- Defined in src/misc/ToolActivate.js:51